// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDVIEW_H__79B11DCA_0D90_11D5_B90F_E3FD1193A875__INCLUDED_)
#define AFX_CHILDVIEW_H__79B11DCA_0D90_11D5_B90F_E3FD1193A875__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "GameData.h"
#include "ColorStatic.h"
/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
// Construction
public:
	CChildView();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChildView)
	protected:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CChildView();

	// Generated message map functions
protected:
	int GamesCounter;
	CListBox GameListBox;
	CColorStatic st_Jmeno;
	CColorStatic st_Rok;
	CColorStatic st_RokLabel;
	CColorStatic st_PocetCDLabel;
	CColorStatic st_PocetCD;
	CColorStatic st_StylLabel;
	CColorStatic st_Styl;
	CEdit et_Komentar;
	CListBox LinksListBox;
	CButton URLButton;
	bool WasChanged;
	bool HasName;
	CString OpenFile;
	CArray<CGameData,CGameData&> GameList;
	int SaveGameList(CString FileName);
	int LoadGameList(CString FileName);
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnNewitem();
	afx_msg void OnLBNSelChange();
	afx_msg void OnEdititem();
	afx_msg void OnDeleteitem();
	afx_msg void OnNewlist();
	afx_msg void OnFileSave();
	afx_msg void OnOpenlist();
	afx_msg void OnSaveaslist();
	afx_msg void OnFinditem();
	afx_msg void OnExport();
	afx_msg void OnGotoURL();
	afx_msg void OnPrint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__79B11DCA_0D90_11D5_B90F_E3FD1193A875__INCLUDED_)
