#include "stdafx.h"
#include "GameData.h"

 CGameData::CGameData()
{
 m_Jmeno="";
 m_Rok=0;
 m_PocetCD=0;
 m_Komentar="";
 m_UStyl="";
 m_Styl=0;
}

 CGameData::CGameData(CString jmeno,int rok,int pocetCD,CString komentar
		,CString ustyl,int styl,int LinksCount,CArray<CLink,CLink&> *links)
 {
  m_Jmeno=jmeno;
  m_Rok=rok;
  m_PocetCD=pocetCD;
  m_Komentar=komentar;
  m_UStyl=ustyl;
  m_Styl=styl;
  m_LinksCount=LinksCount;
  try {m_Links.Copy(*links);}
  catch (CMemoryException* e) {
        AfxMessageBox (_T ("Chyba: Nedostatek pameti"));
        e->Delete (); // Delete the exception object.
        PostQuitMessage(666);}
 }

IMPLEMENT_SERIAL (CGameData, CObject, 1)

 void CGameData::Serialize (CArchive& ar)
{
  CObject::Serialize (ar);
  if (ar.IsStoring ())
	{ar<<m_Jmeno<<m_Rok<<m_PocetCD<<m_Komentar<<m_UStyl<<m_Styl<<m_LinksCount;
	for(int i=0;i<m_LinksCount;i++) m_Links[i].Serialize(ar);
	}
  else {
	 ar>>m_Jmeno>>m_Rok>>m_PocetCD>>m_Komentar>>m_UStyl>>m_Styl>>m_LinksCount; 
	 m_Links.SetSize(m_LinksCount);
     for(int i=0;i<m_LinksCount;i++) m_Links[i].Serialize(ar);
  }
}
 

CGameData& CGameData::operator =(const CGameData& c)
{
  m_Jmeno=c.m_Jmeno;
  m_Rok=c.m_Rok;
  m_PocetCD=c.m_PocetCD;
  m_Komentar=c.m_Komentar;
  m_UStyl=c.m_UStyl;
  m_Styl=c.m_Styl;
  m_LinksCount=c.m_LinksCount;
  try {m_Links.Copy(c.m_Links);}
  catch (CMemoryException* e) {
        AfxMessageBox (_T ("Chyba: Nedostatek pameti"));
        e->Delete (); // Delete the exception object.
        PostQuitMessage(666);}
  return *this;
}


CString CGameData::GetJmeno()
{
 return m_Jmeno;
}

int CGameData::GetRok()
{
 return m_Rok;
}


CString CGameData::GetStyl()
{
 CString Wrk;
 switch (m_Styl) {
 case 0 : Wrk="Adventure";break;
 case 1 : Wrk="Dungeon-RPG";break;
 case 2 : Wrk="Strategie";break;
 case 3 : Wrk="2D Arcade";break;
 case 4 : Wrk="3D Arcade";break;
 case 5 : Wrk="Stleka";break;
 case 6 : Wrk="Sport";break;
 case 7 : Wrk="Let.Simultor";break;
 case 8 : Wrk="Aut.Simultor";break;
 case 9 : Wrk="Logick";break;
 case 10: Wrk="Bojov";break;
 case 11: Wrk="3D Akn";break;
 case 12: Wrk=m_UStyl;break;
  }
 return Wrk;
}


CString CGameData::GetKomentar()
{
 return m_Komentar;
}

void CGameData::GetLinks(CArray<CLink,CLink&> *c,int& lc)
{
 lc=m_LinksCount;
 try {c->Copy(m_Links);}
  catch (CMemoryException* e) {
        AfxMessageBox (_T ("Chyba: Nedostatek pameti"));
        e->Delete (); // Delete the exception object.
        PostQuitMessage(666);}
 
}

int CGameData::GetPocetCD()
{
	return m_PocetCD;
}

int CGameData::GetStylInt()
{
	return m_Styl;
}

CString CGameData::GetUStyl()
{
 return m_UStyl;
}

