#ifndef GAMEDATA_H
#define GAMEDATA_H 0

#include "Link.h"

class CGameData: public CObject 
{
DECLARE_SERIAL (CGameData)
public:
	CGameData();
    CGameData(CString jmeno,int rok,int pocetCD,CString komentar
		,CString ustyl,int styl,int LinksCount,CArray<CLink,CLink&> *links);
	void Serialize (CArchive& ar);
	CGameData& operator=(const CGameData& c);
	CString GetJmeno();
	int GetRok();
	CString GetStyl();
	int GetStylInt();
	CString GetUStyl();
	CString GetKomentar();
	int GetPocetCD();
	void GetLinks(CArray<CLink,CLink&> *c,int& lc);
protected:
	CString	m_Jmeno;
	int		m_Rok;
	int		m_PocetCD;
	CString	m_Komentar;
	CString	m_UStyl;
	int		m_Styl;
	int     m_LinksCount;
	CArray<CLink,CLink&> m_Links;
};

#endif