// GameDialog.cpp : implementation file
//

#include "stdafx.h"
#include "gamelist.h"
#include "GameDialog.h"
#include "LinkDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGameDialog dialog


CGameDialog::CGameDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CGameDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGameDialog)
	m_Jmeno = _T("");
	m_Rok = 0;
	m_PocetCD = 0;
	m_Komentar = _T("");
	m_UStyl = _T("");
	m_Styl = -1;
	//}}AFX_DATA_INIT
    LinksCounter=0;
	
	try {Links.SetSize(10);} 

	catch (CMemoryException* e) {
		AfxMessageBox (_T ("Chyba: Nedostatek pameti"));
		e->Delete (); // Delete the exception object.
		PostQuitMessage(666);
	}

}


void CGameDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGameDialog)
	DDX_Control(pDX, IDC_LIST1, m_LinksListBox);
	DDX_Text(pDX, IDC_EDIT1, m_Jmeno);
	DDV_MaxChars(pDX, m_Jmeno, 30);
	DDX_Text(pDX, IDC_EDIT2, m_Rok);
	DDV_MinMaxInt(pDX, m_Rok, 1900, 3000);
	DDX_Text(pDX, IDC_EDIT3, m_PocetCD);
	DDV_MinMaxInt(pDX, m_PocetCD, 1, 99);
	DDX_Text(pDX, IDC_EDIT4, m_Komentar);
	DDX_Text(pDX, IDC_EDIT5, m_UStyl);
	DDX_Radio(pDX, IDC_RADIO11, m_Styl);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGameDialog, CDialog)
	//{{AFX_MSG_MAP(CGameDialog)
	ON_BN_CLICKED(IDC_BUTTON1, OnAddLink)
	ON_BN_CLICKED(IDC_BUTTON2, OnDeleteLink)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGameDialog message handlers

void CGameDialog::OnAddLink() 
{
	// TODO: Add your control notification handler code here
	HGLOBAL hGlobal,pGlobal;
	PTSTR CText;
	CString tst="http://",wrk;
	int i;

	CLinkDialog Link;
	if (IsClipboardFormatAvailable(CF_TEXT)) {
		OpenClipboard();
		if (hGlobal=GetClipboardData(CF_TEXT)) {
			pGlobal=GlobalLock(hGlobal);
		    CText=(char*)malloc(GlobalSize(hGlobal));
			lstrcpy(CText,(char*)pGlobal);
			GlobalUnlock(hGlobal);
            wrk=CText;
			wrk.TrimLeft(' ');			
			free(CText);
			for(i=0;i<7;i++) if (wrk[i]!=tst[i]) break;
			if (i==7) Link.m_Adresa=wrk;
		}
		CloseClipboard();
	} else Link.m_Adresa="http://";
 	
	if (Link.DoModal()==IDOK) {
		if (LinksCounter>0) {
			int i;
			for(i=0;i<LinksCounter;i++) if(Links[i].Jmeno==Link.m_Jmeno) break; 
            if (i==LinksCounter) {
				m_LinksListBox.AddString(Link.m_Jmeno);
                LinksCounter++;  
		        try {Links.SetAtGrow(LinksCounter-1,CLink(Link.m_Jmeno,Link.m_Adresa)); }
		        catch (CMemoryException* e) {
		          AfxMessageBox (_T ("Chyba: Nedostatek pameti"));
		          e->Delete (); // Delete the exception object.
		          PostQuitMessage(666);}
			} else {
              Links[i].Adresa=Link.m_Adresa;
			}
		} else {
		 m_LinksListBox.AddString(Link.m_Jmeno);
         LinksCounter++;  
		 try {Links.SetAtGrow(LinksCounter-1,CLink(Link.m_Jmeno,Link.m_Adresa)); }
		 catch (CMemoryException* e) {
		 AfxMessageBox (_T ("Chyba: Nedostatek pameti"));
		 e->Delete (); // Delete the exception object.
		 PostQuitMessage(666);}
		}
	}
	
}

void CGameDialog::OnDeleteLink() 
{
	// TODO: Add your control notification handler code here
 int CurSelection;
 CurSelection=m_LinksListBox.GetCurSel();
if (CurSelection!=LB_ERR) {
	CString Wrk,Msg;
    m_LinksListBox.GetText(CurSelection,Wrk);
	Msg=Wrk;
	Msg="Opravdu chcete smazat odkaz "+Msg+" ?";
	if (MessageBox(Msg,"Potvrzeni",MB_YESNO)==IDYES) {
		m_LinksListBox.DeleteString(CurSelection);
			int i;
			for(i=0;i<LinksCounter;i++) if(Links[i].Jmeno==Wrk) break; 
			if (i==LinksCounter) MessageBox("Pozor vnitrni chyba programu");
			else {LinksCounter--;Links.RemoveAt(i);}

		}
	}

 
}

BOOL CGameDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	int i;
    for(i=0;i<LinksCounter;i++) m_LinksListBox.AddString(Links[i].Jmeno);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
